<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include('DF30000.inc');
?>
<?php
 
//busquedas
	if(isset($_POST['setipnom'])){
		$busproc=mysqli_query($con ,"select * from dnpargen");
		$arbusproc=mysqli_fetch_array($busproc);
		$mesproc=$arbusproc["mes_pro"];
		$fecproc=$arbusproc["axo_pro"].'-'.$mesproc.'-01';
		$busqcal="select * from dncageno where cve_nomi = '".$_POST['setipnom']."' and axo_mes='$fecproc'  order by no_nomi";
		$busq="select * from dndatnom where tip_nom ='".$_POST['setipnom']."'";
	}
	else{
		$busq=" ";
	}
	$sqbusq=mysqli_query($con ,$busq);
	$sqbusqcal=mysqli_query($con ,$busqcal);
	$validar=0;
	while(@$arbusqw=mysqli_fetch_array($sqbusqcal)){ 
		if($arbusqw['act_nom']=="NO"){ 
			$validar=1;
			break;
		}
	}
	//if($nonomi==0 || !$arbusqw){ 
	//	if(!$arbusqw && $nonomi!=0) $nonomi++;
	//	$condi=FALSE;
	//}
	//else $condi=TRUE;
	$fec1 = $arbusqw['fec_ini'];
	include('DF20000.php');
	$fecha_inicial = $f_f;
	$fec1 = $arbusqw['fec_fin'];
	include('DF20000.php');
	$fecha_final = $f_f;
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>

<body>
<?php
 
$ayuda = 'DN3500A_PR.php';
include("DYAYUDA.php");
?>

<div align="center">
<form name="frm1" id="frm1" method="post" action="">
  <table  align="center">
    <tr>
      <th>ACTUALIZA Y CIERRA NOMINA </th>
    </tr>
    <tr>
      <th>        Tipo de Nomina</th>
      </tr>
	<tr>
	  <td  class="inputcodigo"><div align="center">
	    <select name="setipnom" id="setipnom" onChange="javascript: document.getElementById('frm1').submit()">
	      <option value="-1">--Seleccione Nomina--</option>
	      <?php
  
		  $stipnom="select * from dntipnom";
		  $sqtipnom=mysqli_query($con ,$stipnom);
		  while($artipnom=mysqli_fetch_array($sqtipnom)){
		  	if("$_POST['setipnom']"=="$artipnom['cve_nomi']") echo '<option value="'.$artipnom['cve_nomi'].'" selected>'.$artipnom['des_nomi'].'</option>';
		  	else echo '<option value="'.$artipnom['cve_nomi'].'">'.$artipnom['des_nomi'].'</option>';
		  }
		  ?>
		  </select>
	    </div>	    <div align="center"></div></td>
	  </tr>
	    
	    <tr>
	      <th><div align="center">Periodo de  Nomina</div></th>
      </tr>
	    <tr>
	      <td class="typeagre"><div align="center">
		  <?php
 
		  		if($validar==1) echo 'No. '.$arbusqw['no_nomi'].' Del '.$fecha_inicial.' Al '.$fecha_final;
		  		elseif($validar==0 && isset($_POST['setipnom'])) echo 'PERIODOS ACTUALIZADOS O NO DISPONIBLES, VERIFIQUE CALENDARIO';
		  ?>
		  </div></td>
      </tr>
      <tr>
        <td class="inputcodigo">
		    <div align="center">
		      <p>
			  <input name="tenonom" type="hidden" id="tenonom"  value="<?php
 echo $arbusqw['no_nomi'];?>">
			  <input name="tefecini" type="hidden" class="thcons" id="tefecini" size="30"  readonly
			  <?php
 
			  if(isset($_POST['setipnom'])) echo 'value="'.$fecha_inicial.'"'; 
			 ?>
			  >
			  <input name="tefecfin" type="hidden" class="thcons" id="tefecfin" size="30" readonly
				<?php
 
			  if(isset($_POST['setipnom'])) echo 'value="'.$fecha_final.'"'; 
			  ?>
				>
		      <input type="button" name="Submit" <?php
 if(!isset($_POST['setipnom']) || $validar==0)  echo 'disabled="disabled"'; ?> value="Actualizar" onClick="openpage('DN35000_IM.php','_self')"></p>
      </div></td></tr>
    </table>
</form>

</div>
<div align="center"></div>
</body>
</html>
